> ## Documentation Index
> Fetch the complete documentation index at: https://developers.illuxi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Manage users in groups

> Add, move, or remove users from [grps](/concepts/grp)



## OpenAPI

````yaml POST /grp/manage_users
openapi: 3.0.0
info:
  version: 2.0.0
  title: illuxiLMS API
  description: Interact with the illuxiLMS API to manage your learning content and users.
  termsOfService: https://illuxi.com/conditions-utilisation/
  contact:
    name: illuxi Team
    email: info@illuxi.com
    url: https://illuxi.com
servers:
  - url: https://{portalApiUrl}
    description: Production server (uses live data)
    variables:
      portalApiUrl:
        default: your-portal.acme.com/api-v2
        description: Your portal's API URL
security:
  - bearerAuth: []
paths:
  /grp/manage_users:
    post:
      description: Add, move, or remove users from [grps](/concepts/grp)
      operationId: manageUsersInGrps
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                users:
                  type: array
                  items:
                    type: object
                    required:
                      - user_id
                    properties:
                      user_id:
                        type: integer
                        description: ID of the user
                      add_to:
                        type: array
                        description: List of group IDs to add the user to
                        items:
                          type: integer
                      remove_from:
                        type: array
                        description: List of group IDs to remove the user from
                        items:
                          type: integer
                      move:
                        type: object
                        description: Map of source group ID to destination group ID
                        additionalProperties:
                          type: integer
                use_organisation_identifier:
                  type: boolean
                  description: Use organisation identifier instead of user_id
            example:
              users:
                - user_id: 737635
                  remove_from:
                    - 6435
      responses:
        '200':
          description: users managed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Authentication token obtained from POST /token

````